#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xe2c330c1, "module_layout" },
	{ 0x2cba5b8, "video_ioctl2" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0x942dfeca, "videobuf_read_one" },
	{ 0x17de5f54, "videobuf_poll_stream" },
	{ 0xe730a45a, "videobuf_mmap_mapper" },
	{ 0xc9176c51, "videobuf_queue_vmalloc_init" },
	{ 0x672144bd, "strlcpy" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe7c3785, "videobuf_queue_is_busy" },
	{ 0x7b71b7ff, "videobuf_reqbufs" },
	{ 0xe333e033, "videobuf_querybuf" },
	{ 0x1623d84a, "videobuf_qbuf" },
	{ 0xe53d4e34, "videobuf_dqbuf" },
	{ 0x82c3517b, "videobuf_streamon" },
	{ 0x8bfae73f, "videobuf_streamoff" },
	{ 0x948dca3c, "video_device_release" },
	{ 0xab09bab9, "__video_register_device" },
	{ 0xb86bfada, "__mutex_init" },
	{ 0xa4ecdf29, "video_device_alloc" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xebb6500b, "kmem_cache_alloc_trace" },
	{ 0xf97f40b7, "malloc_sizes" },
	{ 0xbaa563e, "usb_register_driver" },
	{ 0x88941a06, "_raw_spin_unlock_irqrestore" },
	{ 0xf09c7f68, "__wake_up" },
	{ 0x25fd2bf7, "videobuf_to_vmalloc" },
	{ 0x1d2e87c6, "do_gettimeofday" },
	{ 0x587c70d8, "_raw_spin_lock_irqsave" },
	{ 0xa534bd1e, "usb_submit_urb" },
	{ 0xce592f58, "usb_alloc_urb" },
	{ 0xd0a1d164, "videobuf_iolock" },
	{ 0x95b7ead7, "videobuf_vmalloc_free" },
	{ 0x4c4fef19, "kernel_stack" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc70839e9, "dev_err" },
	{ 0xf0bd911, "usb_control_msg" },
	{ 0x236c8c64, "memcpy" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0x26885cd3, "video_devdata" },
	{ 0x10e3018, "_dev_info" },
	{ 0xc01832ef, "dev_set_drvdata" },
	{ 0xb69a1f00, "videobuf_mmap_free" },
	{ 0x90c8f364, "dev_get_drvdata" },
	{ 0x37a0cba, "kfree" },
	{ 0x999e8297, "vfree" },
	{ 0x21379058, "usb_free_urb" },
	{ 0x6035edd4, "usb_kill_urb" },
	{ 0xa7e36d68, "video_unregister_device" },
	{ 0xb9fc630f, "mutex_unlock" },
	{ 0x4e488bc5, "mutex_lock" },
	{ 0x26f8651, "usb_deregister" },
	{ 0x27e1a049, "printk" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=videodev,videobuf-core,videobuf-vmalloc,usbcore";

MODULE_ALIAS("usb:v08CAp0109d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v041Ep4024d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D64p0108d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0546p3187d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0D64p3108d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0595p4343d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0BB0p500Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0FEBp2004d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v055FpB500d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08CAp2062d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v052Bp1A18d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04C8p0729d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04F2pA208d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0784p0040d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06D6p0034d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0A17p0062d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06D6p003Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0A17p004Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v041Ep405Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08CAp2102d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06D6p003Dd*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "98299773CE5C501094AD563");
