#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xe2c330c1, "module_layout" },
	{ 0x97beb3f0, "usbnet_resume" },
	{ 0xc7efbdf1, "usbnet_suspend" },
	{ 0x584f884c, "usbnet_disconnect" },
	{ 0x98cc870b, "usbnet_probe" },
	{ 0x27265d51, "eth_mac_addr" },
	{ 0x20cc4ada, "usbnet_nway_reset" },
	{ 0xa34c4d01, "usbnet_set_msglevel" },
	{ 0x6dd336c0, "usbnet_get_msglevel" },
	{ 0x84db87f0, "usbnet_set_settings" },
	{ 0x909c5d85, "usbnet_get_settings" },
	{ 0x3351e66a, "usbnet_tx_timeout" },
	{ 0x2dcd22c2, "usbnet_change_mtu" },
	{ 0xa0c4693e, "eth_validate_addr" },
	{ 0x70273c97, "usbnet_start_xmit" },
	{ 0x33791f6f, "usbnet_stop" },
	{ 0x20ddc570, "usbnet_open" },
	{ 0x72cfbf01, "mii_nway_restart" },
	{ 0x3c04cb37, "usbnet_get_endpoints" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb9fc630f, "mutex_unlock" },
	{ 0x4e488bc5, "mutex_lock" },
	{ 0xbaa563e, "usb_register_driver" },
	{ 0x26f8651, "usb_deregister" },
	{ 0x92b801fd, "usbnet_defer_kevent" },
	{ 0x6604dc96, "netif_carrier_on" },
	{ 0x1ce9089e, "netif_carrier_off" },
	{ 0xf6bda390, "usbnet_unlink_rx_urbs" },
	{ 0x25ddbd83, "skb_pull" },
	{ 0x2e1141a2, "usbnet_skb_return" },
	{ 0x7c7ad080, "skb_clone" },
	{ 0xa3a5be95, "memmove" },
	{ 0x31b86283, "skb_put" },
	{ 0x1e46e16f, "skb_push" },
	{ 0x334df1ef, "__dev_kfree_skb_any" },
	{ 0xe7ff0ac8, "skb_copy_expand" },
	{ 0xfaf98462, "bitrev32" },
	{ 0x92ea4ae4, "crc32_le" },
	{ 0x27e1a049, "printk" },
	{ 0x21379058, "usb_free_urb" },
	{ 0xa534bd1e, "usb_submit_urb" },
	{ 0xebb6500b, "kmem_cache_alloc_trace" },
	{ 0xf97f40b7, "malloc_sizes" },
	{ 0xce592f58, "usb_alloc_urb" },
	{ 0x3decdf23, "generic_mii_ioctl" },
	{ 0x82909237, "usbnet_get_drvinfo" },
	{ 0x255f5aff, "mii_link_ok" },
	{ 0x236c8c64, "memcpy" },
	{ 0x5a34a45c, "__kmalloc" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdae5bb1f, "mii_ethtool_gset" },
	{ 0xde150ba3, "mii_check_media" },
	{ 0x1674321d, "netdev_err" },
	{ 0xfe4492c3, "dev_printk" },
	{ 0x8b7fe311, "kmemdup" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0bd911, "usb_control_msg" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,mii,usbcore";

MODULE_ALIAS("usb:v077Bp2226d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1040d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p1A00d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p1720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8p420Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v08DDp90FFd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p2009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p003Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0411p006Ed*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v6189p182Dd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DF6p0056d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0017d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1189p0893d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1631p6200d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04F1p3008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p772Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p7720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p1780d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0789p0160d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13B1p0018d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1557p7720d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07D1p3C05d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p3C05d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p1A02d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1737p0039d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BBp0930d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v050Dp5055d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05ACp1402d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p772Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v14EApAB11d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0DB0pA877d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0B95p7E2Bd*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "A2AD01FD63A6AC1A0975E1C");
