#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

#ifdef RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0xe2c330c1, "module_layout" },
	{ 0x8436f8e3, "param_ops_ushort" },
	{ 0xdd73237a, "usb_serial_disconnect" },
	{ 0xdbcfd926, "usb_serial_probe" },
	{ 0xb78c61e8, "param_ops_bool" },
	{ 0x3ec8886f, "param_ops_int" },
	{ 0xf59f197, "param_array_ops" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x6bcca3f2, "usb_reset_device" },
	{ 0x7a7c9c21, "usb_driver_set_configuration" },
	{ 0x9831e9e4, "__kfifo_alloc" },
	{ 0xe174aa7, "__init_waitqueue_head" },
	{ 0xc01832ef, "dev_set_drvdata" },
	{ 0xb86bfada, "__mutex_init" },
	{ 0xbaa563e, "usb_register_driver" },
	{ 0x1c5ea35, "usb_serial_register" },
	{ 0x88a839a6, "release_firmware" },
	{ 0x5d0121be, "usb_bulk_msg" },
	{ 0xde0bdcff, "memset" },
	{ 0x236c8c64, "memcpy" },
	{ 0x5101a2f2, "request_firmware" },
	{ 0x3c2c5af5, "sprintf" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x9d9390cc, "usb_clear_halt" },
	{ 0xfb9ce685, "mutex_lock_interruptible" },
	{ 0x6035edd4, "usb_kill_urb" },
	{ 0x77e2f33, "_copy_from_user" },
	{ 0xbad7d2da, "interruptible_sleep_on" },
	{ 0x71de9b3f, "_copy_to_user" },
	{ 0xac5c6821, "tty_encode_baud_rate" },
	{ 0x9b3da7a6, "tty_get_baud_rate" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xb9fc630f, "mutex_unlock" },
	{ 0x7d11c268, "jiffies" },
	{ 0x4e488bc5, "mutex_lock" },
	{ 0xb89e62ec, "remove_wait_queue" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0x78764f4e, "pv_irq_ops" },
	{ 0xda5661a3, "add_wait_queue" },
	{ 0xffd5a395, "default_wake_function" },
	{ 0xf333a2fb, "_raw_spin_lock_irq" },
	{ 0x53a7e222, "current_task" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0bd911, "usb_control_msg" },
	{ 0xebb6500b, "kmem_cache_alloc_trace" },
	{ 0xf97f40b7, "malloc_sizes" },
	{ 0x90c8f364, "dev_get_drvdata" },
	{ 0x64109f94, "tty_insert_flip_string_fixed_flag" },
	{ 0x30018e60, "tty_flip_buffer_push" },
	{ 0x6443d74d, "_raw_spin_lock" },
	{ 0xc70839e9, "dev_err" },
	{ 0xa534bd1e, "usb_submit_urb" },
	{ 0x37511e69, "tty_wakeup" },
	{ 0x88941a06, "_raw_spin_unlock_irqrestore" },
	{ 0xf09c7f68, "__wake_up" },
	{ 0x587c70d8, "_raw_spin_lock_irqsave" },
	{ 0x62a443e4, "tty_kref_put" },
	{ 0xbbb55ee8, "tty_port_tty_get" },
	{ 0x27e1a049, "printk" },
	{ 0xfe4492c3, "dev_printk" },
	{ 0xae3f60f1, "usb_serial_deregister" },
	{ 0x26f8651, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbserial,usbcore";

MODULE_ALIAS("usb:v0451p3410d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0451pF430d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0pF108d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0pF109d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0pF110d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0pF111d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0pF112d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0pF114d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0pF115d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E0p0319d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0451p5052d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0451p5152d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0451p505Ad*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0451p505Fd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04B3p4543d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04B3p454Bd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04B3p454Cd*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1A61p3410d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0451p5053d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "D8F19666F50E43AB654825B");
